Bug 1301472 - Fail to launch instances from RAW images
Fail to launch instances from RAW images
Status: CLOSED DUPLICATE of bug 1286411
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
8.0 (Liberty)
x86_64 Linux
urgent Severity high
: ga
: 8.0 (Liberty)
Assigned To: Lee Yarwood
nlevinki
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 02:50 EST by Yogev Rabl
Modified: 2016-09-13 02:57 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 11:04:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1508230 None None None 2016-01-25 02:50 EST

  None (edit)
Description Yogev Rabl 2016-01-25 02:50:29 EST
Description of problem:
Nova fails to launch instances from RAW images with the following trace

2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [req-f1afedfb-8138-4931-9495-f2e1e4fad36b 72386cb834f4490a8f93fdc6953e483a 5a0d2fd370dd4aac8c7f27ba4b47294c - - -] [instance: d379c58e-0029-41e6-af5e-d904
3e0503d5] Instance failed to spawn
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5] Traceback (most recent call last):
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2155, in _build_resources
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     yield resources
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2009, in _build_and_run_instance
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     block_device_info=block_device_info)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2437, in spawn
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     admin_pass=admin_password)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2861, in _create_image
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     instance, size, fallback_from_host)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 6282, in _try_fetch_image_cac
he
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     size=size)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 240, in cache
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     *args, **kwargs)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 777, in create_image
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     prepare_template(target=base, max_size=size, *args, **kwargs)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/oslo_concurrency/lockutils.py", line 254, in inner
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     return f(*args, **kwargs)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 230, in fetch_func_sync
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     fetch_func(target=target, *args, **kwargs)
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2853, in clone_fallback_to_fe
tch
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     backend.clone(context, disk_images['image_id'])
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 808, in clone
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     if self.driver.is_cloneable(location, image_meta):
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/storage/rbd_utils.py", line 193, in is_cloneab
le
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5]     if image_meta.disk_format != 'raw':
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5] AttributeError: 'dict' object has no attribute 'disk_format'
2016-01-24 09:44:23.147 30261 ERROR nova.compute.manager [instance: d379c58e-0029-41e6-af5e-d9043e0503d5] 
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [req-ba8918f1-cb57-46dc-bc1d-e01c5cd395c2 72386cb834f4490a8f93fdc6953e483a 5a0d2fd370dd4aac8c7f27ba4b47294c - - -] [instance: 15a4c094-80c9-4108-8b24-00bb
d8abfd03] Instance failed to spawn
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03] Traceback (most recent call last):
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2155, in _build_resources
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     yield resources
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 2009, in _build_and_run_instance
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     block_device_info=block_device_info)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2437, in spawn
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     admin_pass=admin_password)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2861, in _create_image
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     instance, size, fallback_from_host)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 6282, in _try_fetch_image_cache
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     size=size)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 240, in cache
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     *args, **kwargs)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 777, in create_image
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     prepare_template(target=base, max_size=size, *args, **kwargs)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/oslo_concurrency/lockutils.py", line 254, in inner
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     return f(*args, **kwargs)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 230, in fetch_func_sync
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     fetch_func(target=target, *args, **kwargs)
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2853, in clone_fallback_to_fetch
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     backend.clone(context, disk_images['image_id'])
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/imagebackend.py", line 808, in clone
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     if self.driver.is_cloneable(location, image_meta):
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/storage/rbd_utils.py", line 193, in is_cloneable
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03]     if image_meta.get('disk_format') != 'raw':
2016-01-24 09:53:51.772 30261 ERROR nova.compute.manager [instance: 15a4c094-80c9-4108-8b24-00bbd8abfd03] AttributeError: 'dict' object has no attribute 'disk_format'

A fix is already available in upstream (see launchpad link)

Version-Release number of selected component (if applicable):
python-nova-12.0.0-2.el7ost.noarch
openstack-nova-common-12.0.0-2.el7ost.noarch
openstack-nova-compute-12.0.0-2.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a RAW image
2. Launch an instance with the image


Actual results:
instance boot failed

Expected results:
Instance is active

Additional info:
Comment 2 Lee Yarwood 2016-01-25 04:14:51 EST
(In reply to Yogev Rabl from comment #0)
> Version-Release number of selected component (if applicable):
> python-nova-12.0.0-2.el7ost.noarch
> openstack-nova-common-12.0.0-2.el7ost.noarch
> openstack-nova-compute-12.0.0-2.el7ost.noarch

This issue was fixed in 12.0.0-3 by BZ#1286411 however the latest version is 12.0.1-1 via BZ#1293607. Please update, retest and confirm that this is still an issue.

Note You need to log in before you can comment on or make changes to this bug.